Bug 1261159 - [RFE] Incorporate pysos and xsos functionality into sosreport
[RFE] Incorporate pysos and xsos functionality into sosreport
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos (Show other bugs)
7.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Pavel Moravec
BaseOS QE - Apps
: FutureFeature
Depends On: 1261158
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 14:11 EDT by Dave Sullivan
Modified: 2018-04-02 10:14 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1261158
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Sullivan 2015-09-08 14:11:53 EDT
+++ This bug was initially created as a clone of Bug #1261158 +++

Description of problem:

Summarize system information or information collected from sosreport.

Current version is written in bash

https://github.com/ryran/xsos

A derivative has been written in python

https://github.com/TurboTurtle/pysos

Suggest we leave xsos in bash for rhel5 and then look at python for rhel6 and rhel7


Version-Release number of selected component (if applicable):

RHEL6 current




Additional info:

Red Hat Ryan Sawhill wrote xsos
Comment 1 Ryan Sawhill 2015-09-08 17:06:22 EDT
Note that pysos has lots
Comment 2 Ryan Sawhill 2015-09-11 12:20:02 EDT
Whoops. Didn't mean to post that!
Comment 3 Pavel Moravec 2016-12-15 16:30:17 EST
currently I do not plan to merge the two/three projects into one in RHEL, seconding Bryn's comments in Bug #1261158.
Comment 4 Pavel Moravec 2017-08-30 07:08:23 EDT
Nothing has changed so far, re-scheduling to 7.6.
Comment 5 Pavel Moravec 2018-04-02 10:14:35 EDT
Nothing has changed so far, re-scheduling to potential inclusion in 7.7.

Note You need to log in before you can comment on or make changes to this bug.